MCP Tools Reference: oracledatabase.googleapis.com

Tool: list_odb_networks

List ODB Networks in a Google Cloud project in the given location.

The following code sample shows how to use curl to call the list_odb_networks MCP tool.

Curl Request
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_odb_networks",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request for OdbNetwork.List.

ListOdbNetworksRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
Fields
parent

string

Required. The parent value for the ODB Network in the following format: projects/{project}/locations/{location}.

pageSize

integer

Optional. The maximum number of items to return. If unspecified, at most 50 ODB Networks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request.

orderBy

string

Optional. An expression for ordering the results of the request.

Output Schema

The response for OdbNetwork.List.

ListOdbNetworksResponse

JSON representation
{
  "odbNetworks": [
    {
      object (OdbNetwork)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
odbNetworks[]

object (OdbNetwork)

The list of ODB Networks.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unreachable locations when listing resources across all locations using wildcard location '-'.

OdbNetwork

JSON representation
{
  "name": string,
  "network": string,
  "labels": {
    string: string,
    ...
  },
  "createTime": string,
  "state": enum (State),
  "entitlementId": string,
  "gcpOracleZone": string,
  "serviceConnectivityConfig": {
    object (ServiceConnectivityConfig)
  },
  "reconciling": boolean
}
Fields
name

string

Identifier. The name of the OdbNetwork resource in the following format: projects/{project}/locations/{region}/odbNetworks/{odb_network}

network

string

Required. The name of the VPC network in the following format: projects/{project}/global/networks/{network}

labels

map (key: string, value: string)

Optional. Labels or tags associated with the resource.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

createTime

string (Timestamp format)

Output only. The date and time that the OdbNetwork was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Output only. State of the ODB Network.

entitlementId

string

Output only. The ID of the subscription entitlement associated with the OdbNetwork.

gcpOracleZone

string

Optional. The GCP Oracle zone where OdbNetwork is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability.

serviceConnectivityConfig

object (ServiceConnectivityConfig)

Optional. Configuration to enable the service (Oracledatabase@Google Cloud) to establish connectivity to the database.

This should be specified if you intend to associate this OdbNetwork with a DatabaseConnection resource to ExecuteSQL on the database, or to create a ServiceIntegration with the Database.

Please don't specify it otherwise to avoid complicating the network setup.

reconciling

boolean

Output only. Indicates whether the OdbNetwork is currently reconciling changes.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

ServiceConnectivityConfig

JSON representation
{
  "pscInterfaceConfig": {
    object (PscInterfaceConfig)
  }
}
Fields
pscInterfaceConfig

object (PscInterfaceConfig)

Optional. Configuration for Private Service Connect (PSC) interface.

PscInterfaceConfig

JSON representation
{
  "networkAttachment": string
}
Fields
networkAttachment

string

Optional. The resource name of the Network Attachment that Oracledatabase@Google Cloud will use to establish private connectivity to the database via a Private Service Connect Interface (PSC-I). Format: projects/{project}/regions/{region}/networkAttachments/{network_attachment}

State

The various lifecycle states of the ODB Network.

Enums
STATE_UNSPECIFIED Default unspecified value.
PROVISIONING Indicates that the resource is in provisioning state.
AVAILABLE Indicates that the resource is in available state.
TERMINATING Indicates that the resource is in terminating state.
FAILED Indicates that the resource is in failed state.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌